Bug 80767 - [patches] Warning cleanups
Summary: [patches] Warning cleanups
Status: RESOLVED FIXED
Alias: None
Product: PolicyKit
Classification: Unclassified
Component: daemon (show other bugs)
Version: unspecified
Hardware: Other All
: medium normal
Assignee: David Zeuthen (not reading bugmail)
QA Contact: David Zeuthen (not reading bugmail)
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2014-07-01 18:40 UTC by Miloslav Trmac
Modified: 2015-06-08 15:45 UTC (History)
1 user (show)

See Also:
i915 platform:
i915 features:


Attachments
0001-Fix-a-possible-NULL-dereference.patch (1.59 KB, patch)
2014-07-01 18:49 UTC, Miloslav Trmac
Details | Splinter Review
0002-Remove-a-redundant-assignment.patch (965 bytes, patch)
2014-07-01 18:50 UTC, Miloslav Trmac
Details | Splinter Review
0003-Explicitly-cast-a-no-effect-reference-to-void.patch (1.24 KB, patch)
2014-07-01 18:50 UTC, Miloslav Trmac
Details | Splinter Review
0004-Fix-a-typo-s-Evaluting-Evaluating-g.patch (1.36 KB, patch)
2014-07-01 18:50 UTC, Miloslav Trmac
Details | Splinter Review
0005-s-INCLUDES-AM_CPPFLAGS-g.patch (4.52 KB, patch)
2014-07-01 18:50 UTC, Miloslav Trmac
Details | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Miloslav Trmac 2014-07-01 18:40:49 UTC
... just because Iā€™m compulsive about a clean build.  This series fixes various Coverity- and Eclipse- reported problems and ugliness.

(Can easily enough wait after the next release.)
Comment 1 Miloslav Trmac 2014-07-01 18:49:56 UTC
Created attachment 102089 [details] [review]
0001-Fix-a-possible-NULL-dereference.patch
Comment 2 Miloslav Trmac 2014-07-01 18:50:11 UTC
Created attachment 102090 [details] [review]
0002-Remove-a-redundant-assignment.patch
Comment 3 Miloslav Trmac 2014-07-01 18:50:28 UTC
Created attachment 102091 [details] [review]
0003-Explicitly-cast-a-no-effect-reference-to-void.patch
Comment 4 Miloslav Trmac 2014-07-01 18:50:41 UTC
Created attachment 102092 [details] [review]
0004-Fix-a-typo-s-Evaluting-Evaluating-g.patch
Comment 5 Miloslav Trmac 2014-07-01 18:50:53 UTC
Created attachment 102093 [details] [review]
0005-s-INCLUDES-AM_CPPFLAGS-g.patch
Comment 6 Colin Walters 2015-06-03 20:15:29 UTC
Comment on attachment 102089 [details] [review]
0001-Fix-a-possible-NULL-dereference.patch

Review of attachment 102089 [details] [review]:
-----------------------------------------------------------------

LGTM
Comment 7 Colin Walters 2015-06-03 20:15:54 UTC
Comment on attachment 102090 [details] [review]
0002-Remove-a-redundant-assignment.patch

Review of attachment 102090 [details] [review]:
-----------------------------------------------------------------

Right.
Comment 8 Colin Walters 2015-06-03 20:16:50 UTC
Comment on attachment 102091 [details] [review]
0003-Explicitly-cast-a-no-effect-reference-to-void.patch

Review of attachment 102091 [details] [review]:
-----------------------------------------------------------------

I think I'd be more in favor of the (void) POLKIT_ERROR; but it's up to you if you want to redo it or just commit as is.
Comment 9 Colin Walters 2015-06-03 20:17:11 UTC
Comment on attachment 102092 [details] [review]
0004-Fix-a-typo-s-Evaluting-Evaluating-g.patch

Review of attachment 102092 [details] [review]:
-----------------------------------------------------------------

Yes.
Comment 10 Colin Walters 2015-06-03 20:17:25 UTC
Comment on attachment 102093 [details] [review]
0005-s-INCLUDES-AM_CPPFLAGS-g.patch

Review of attachment 102093 [details] [review]:
-----------------------------------------------------------------

Yep.
Comment 11 Miloslav Trmac 2015-06-08 15:45:13 UTC
Thanks, fixed. Went with (void) POLKIT_ERROR; instead of patch 3.


Use of freedesktop.org services, including Bugzilla, is subject to our Code of Conduct. How we collect and use information is described in our Privacy Policy.